Subject: Re: [RFC/PATCH] userdiff.c: Avoid old glibc regex bug causing t4034-*.sh test failures

From: Jonathan Nieder <[email-masked]>
Date: Tue, 3 May 2011 16:07:16 -0500

Hi,

Ramsay Jones wrote:

> This is an RFC because:
>     - A simple fix would be for me to put NO_REGEX=1 in my config.mak,
>       since the compat/regex routines don't suffer this problem.
>     - I suspect this bug is old enough that it will not affect many users.
>     - I have not audited the other non-matching list expressions in
>       userdiff.c
>     - blame, grep and pickaxe all call regcomp() with the REG_NEWLINE
>       flag, but get the regex from the user (eg from command line).

I think excluding \n along with ' ' and \t in similar places makes
sense, but that meanwhile we should add tests to the testsuite for
blame/grep/pickaxe to catch such implementations failing when
NO_REGEX=1 is not set.

Does that make sense?  Thanks for tracking this down.

Jonathan